package org.jboss.cache;

import org.jboss.cache.factories.annotations.NonVolatile;

import java.util.concurrent.ConcurrentHashMap;

/**
 * An extension of the ConcurrentHashMap that acts as a container for regions.
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 3.0
 */
@NonVolatile
public class RegionRegistry extends ConcurrentHashMap<Fqn, Region>
{
   public RegionRegistry()
   {
      // default CHM constructor.  Potentially fine-tune later?
      super();
   }
}
