package org.jboss.cache.commands.legacy.read;

import org.jboss.cache.Fqn;
import org.jboss.cache.NodeSPI;
import org.jboss.cache.buddyreplication.BuddyManager;
import org.jboss.cache.commands.read.GravitateDataCommand;
import org.jgroups.Address;

import java.util.Set;

/**
 * Legacy version that uses old data container peeks
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 3.0
 * @deprecated will be removed along with optimistic and pessimistic locking.
 */
@Deprecated
public class LegacyGravitateDataCommand extends GravitateDataCommand
{
   public LegacyGravitateDataCommand(Fqn fqn, boolean searchSubtrees, Address localAddress)
   {
      super(fqn, searchSubtrees, localAddress);
   }

   public LegacyGravitateDataCommand(Address localAddress)
   {
      super(localAddress);
   }

   /**
    * @return a Set of child node names that hang directly off the backup tree root, or null if the backup tree root doesn't exist.
    */
   @Override
   @SuppressWarnings("unchecked")
   protected Set<Object> getBackupRoots()
   {
      NodeSPI backupSubtree = dataContainer.peek(BuddyManager.BUDDY_BACKUP_SUBTREE_FQN);
      if (backupSubtree == null) return null;
      return backupSubtree.getChildrenNamesDirect();
   }

   void setSearchSubtrees(boolean searchSubtrees)
   {
      this.searchSubtrees = searchSubtrees;
   }
}
